#include <gtk/gtk.h>

#include <stdio.h>
#include <stdlib.h>


#include <dbui-defs.h>

#include <dbui-structs.h>

#include "function_prototypes.h"

void
add_field_callback(GtkMenuItem *menu_item,gpointer data)
{
    GtkWidget   *ctree;
    GtkWidget	*main_window;
    GtkCTreeNode *node;
    GtkCTreeNode *parent;
    GtkCTreeNode *sibling;
    GtkCTreeRow	*row;
    TABLE       *t;
    TABLE	*t2;
    CONNECTION	*connect;
    DRIVER	*driver_p;
    CLIST_REQUEST *cl_req;

    node = gtk_object_get_data(GTK_OBJECT(data),"MY_DATA");

    if(!node )
        return;

    ctree = gtk_object_get_data(GTK_OBJECT(data),"ctree");

    if(node && ctree)
        {
        t = gtk_ctree_node_get_row_data (GTK_CTREE(ctree),node);

	main_window = gtk_widget_get_toplevel(ctree);

	cl_req = gtk_object_get_data(GTK_OBJECT(main_window),"CLIST_REQUEST");

	cl_req->type = ADD_FIELD;

	cl_req->requester = t;

	cl_req->spare1 = node;


	
	}
}
