#include <gtk/gtk.h>

#include <stdio.h>
#include <string.h>

#include <dbui-defs.h>

#include <dbui-structs.h>

#include <dbui-prototypes.h>

#include "column_functions.h"

#include "function_prototypes.h"

int
mark_popup_menu(GtkWidget *menu_item,int high_light)
{
    GtkLabel	*label;
    char	*text;
    gchar	pattern[32];
    int		i,length;

    if (GTK_BIN (menu_item)->child)
	{
    	GtkWidget *child = GTK_BIN (menu_item)->child;

    	if (GTK_IS_LABEL (child))
    	  {
      	  gchar *text;

	  if(high_light)
	   {
  
      	   gtk_label_get (GTK_LABEL (child), &text);

	   length = strlen(text);

	   bzero(pattern,31);
	   length = (length < 31 ) ? length : 31;

	   memset(pattern,'_',length);

	   gtk_label_set_pattern(GTK_LABEL(child),pattern);
	   }
	  else
	   gtk_label_set_pattern(GTK_LABEL(child),NULL);
    	  }
  	}
    
}
