#include <gtk/gtk.h>

#include <stdio.h>
#include <stdlib.h>


#include <dbui-defs.h>

#include <dbui-structs.h>

int
change_scrolled_window(GtkWidget *scroll_window,GtkWidget *new_widget)
{
    if(GTK_BIN(scroll_window)->child == NULL && new_widget)
	{
	gtk_widget_ref(new_widget);
	gtk_scrolled_window_add_with_viewport(
			GTK_SCROLLED_WINDOW(scroll_window),new_widget);

	gtk_widget_show_all(new_widget);
	}
     else if(new_widget)
	{

	if( GTK_BIN(GTK_BIN(scroll_window)->child)->child )
	  {
	  gtk_container_remove (
		GTK_CONTAINER(GTK_BIN(scroll_window)->child),
		( GTK_BIN(GTK_BIN(scroll_window)->child)->child ) );
	  }

	gtk_widget_ref(new_widget);
	
	gtk_container_add(GTK_CONTAINER(GTK_BIN(scroll_window)->child),
			new_widget);

	gtk_widget_show_all(new_widget);
	 
	}
}
