#include <gtk/gtk.h>

#include <stdio.h>
#include <stdlib.h>


#include <dbui-defs.h>

#include <dbui-structs.h>

#include "function_prototypes.h"

void
rescan_table(GtkMenuItem *menu_item,gpointer data)
{
    GtkWidget   *ctree;
    GtkCTreeNode *node;
    GtkCTreeNode *parent;
    GtkCTreeNode *sibling;
    GtkCTreeRow	*row;
    TABLE       *t;
    TABLE	*t2;
    CONNECTION	*connect;
    DRIVER	*driver_p;

    node = gtk_object_get_data(GTK_OBJECT(data),"MY_DATA");

    if(!node )
        return;

    ctree = gtk_object_get_data(GTK_OBJECT(data),"ctree");

    if(node && ctree)
        {
        t = gtk_ctree_node_get_row_data (GTK_CTREE(ctree),node);

	connect = t->my_connect;

	t2 = create_new_table(t->name,t->my_connect,t->parent);

	t2->menu_type = t->menu_type;

	row = GTK_CTREE_ROW(node);

	parent = row->parent;

	sibling = row->sibling;

	gtk_ctree_remove_node(GTK_CTREE(ctree),node);

	driver_p = connect->driver_p;

	driver_p->build_table(t2);

	create_tree_entry(ctree,parent,sibling,t2);

	}

}
