#include <gtk/gtk.h>
            
#include <stdio.h>
#include <string.h>

#include <dbui-defs.h>

#include <dbui-structs.h>

#include <mysql/mysql.h>

#include <mysql-prototypes.h>


int
mysql_change_type_to_dbui(int	type)
{
   
    switch(type)
      {

	case FIELD_TYPE_TINY:
		return DBUI_TINY;
		break;

	case FIELD_TYPE_SHORT:
		return DBUI_SHORT;
		break;

	case FIELD_TYPE_LONG:
		return DBUI_INT;
		break;

	case FIELD_TYPE_INT24:
		return DBUI_LONG;
		break;

	case FIELD_TYPE_LONGLONG:
		return DBUI_LONGLONG;
		break;

	case FIELD_TYPE_DECIMAL:
	case FIELD_TYPE_FLOAT:
		return DBUI_FLOAT;
		break;

	case FIELD_TYPE_DOUBLE:
		return DBUI_DOUBLE;
		break;

	case FIELD_TYPE_DATETIME:
	case FIELD_TYPE_TIMESTAMP:
		return DBUI_DATETIME;
		break;

	case FIELD_TYPE_YEAR:
	case FIELD_TYPE_DATE:
		return DBUI_DATE;
		break;

	case FIELD_TYPE_TIME:
		return DBUI_TIME;
		break;

	case FIELD_TYPE_STRING:
		return DBUI_VARCHAR;
		break;

	case FIELD_TYPE_BLOB:
		return DBUI_BLOB;
		break;

	case FIELD_TYPE_SET:
		return DBUI_SET;
		break;

	case FIELD_TYPE_ENUM:
		return DBUI_ENUM;
		break;

	case FIELD_TYPE_NULL:
		return DBUI_VARCHAR;
		break;

	default:
		return DBUI_VARCHAR;
		break;
		
      }

}
